GearmanWorker::timeout
GearmanWorker::unregisterAll
GearmanWorker
PHP Manual

# GearmanWorker::unregister

(PECL gearman >= 0.6.0)

GearmanWorker::unregister — Unregister a function name with the job servers

### Description

public bool GearmanWorker::unregister ( string `$function_name` )

Unregisters a function name with the job servers ensuring that no more jobs (for that function) are sent to this worker.

### Parameters

`function_name`

  The name of a function to register with the job server

### Return Values

A standard Gearman return value.

### See Also

- GearmanWorker::register() - Register a function with the job server
- GearmanWorker::unregisterAll() - Unregister all function names with the job servers

GearmanWorker::timeout
GearmanWorker::unregisterAll
GearmanWorker
PHP Manual